Bug 59070 - EDITING: Document interpreted as containing multiple languages for no apparent reason
Summary: EDITING: Document interpreted as containing multiple languages for no apparen...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Language-Detection
  Show dependency treegraph
 
Reported: 2013-01-05 23:54 UTC by ralkof
Modified: 2019-10-26 02:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
A sample document. (11.58 KB, application/vnd.oasis.opendocument.text)
2013-01-05 23:54 UTC, ralkof
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ralkof 2013-01-05 23:54:07 UTC
Created attachment 72575 [details]
A sample document.

Problem description: 

When all the text in a certain document is selected, the "Apply Style", "Font Name" and "Font Size" windows all turn blank, and the document is said to contain "Multiple Languages" when it clearly does not.


Steps to reproduce:

1. Insert the following sample text (between crunch symbols) including spacing into a new Writer document:

#
"Lorem ipsum dolor sit amet, consectetur adipiscing elit."
---

#

2. Keep inserting the same sample text repeatedly, until the total word count reaches 3006> (334> times).

3. Select all (Ctrl+A).

Current behavior:
All text is selected. The  "Apply Style", "Font Name" and "Font Size" windows turn blank. The document is said to contain "Multiple Languages". 


Expected behavior:
All text is selected.

              
Operating System: Debian
Version: 3.5.4 release
Comment 1 ralkof 2013-01-06 00:01:24 UTC
Comment on attachment 72575 [details]
A sample document.

Select all (Ctrl+A) to make the problem visible. Delete three lines of content (text/spacing) and the problem disappears.
Comment 2 Urmas 2013-01-06 02:26:47 UTC
Same with 3.6.
Comment 3 Buovjaga 2015-01-17 17:36:56 UTC
Could not reproduce from scratch with >3006 words.

Manjaro 64-bit
Version: 4.3.5.2.0+
Build ID: 4.3.5.2 Arch Linux build-1
Comment 4 Gordo 2015-05-05 16:45:38 UTC
I could reproduce this with any text.

One paragraph of '#' repeated over and over for 20 pages and 1,000 words.
One paragraph of 'The' repeated over and over for 20 pages and 1,000 words.

20 pages and 20,880 words of dummy text did not have the multiple languages issue.

I think it might be 1,000 paragraphs that triggers this which is line 13 on page 20 if you use empty paragraphs.

Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Comment 5 QA Administrators 2016-09-20 09:36:47 UTC Comment hidden (obsolete)
Comment 6 Thomas Lendo 2018-10-25 23:53:02 UTC
Still reproducible.

Version: 6.2.0.0.alpha1+
Build ID: 0378bfcea51ff0f379d0954aa6740f1829909dc3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
Comment 7 QA Administrators 2019-10-26 02:11:57 UTC
Dear ralkof,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug